%undefine __cmake_in_source_build
Summary: KDE Frameworks 5 Tier 3 solution for user-configurable main windows
Name:    kf5-kxmlgui
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+
URL:     https://invent.kde.org/frameworks/kxmlgui
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kxmlgui-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-attica-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}
BuildRequires:  kf5-kconfigwidgets-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}, kf5-kglobalaccel-devel >= %{majmin}
BuildRequires:  kf5-kguiaddons-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}
BuildRequires:  kf5-ki18n-devel >= %{majmin}, kf5-kiconthemes-devel >= %{majmin}
BuildRequires:  kf5-kitemviews-devel >= %{majmin}, kf5-ktextwidgets-devel >= %{majmin}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{majmin}, kf5-kwindowsystem-devel >= %{majmin}
BuildRequires:  kf5-rpm-macros
BuildRequires:  libX11-devel, qt5-qtbase-devel, qt5-qtbase-private-devel, qt5-qttools-devel

%description
KDE Frameworks 5 Tier 3 solution for user-configurable main windows.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kconfig-devel >= %{majmin}
Requires:       kf5-kconfigwidgets-devel >= %{majmin}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kxmlgui-%{version} -p1


%build
%cmake_kf5
%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_kf5_datadir}/kxmlgui5/

%find_lang %{name} --all-name



%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5XmlGui.so.*
%{_kf5_libexecdir}/ksendbugmail
%dir %{_kf5_sysconfdir}/xdg/ui/
%config %{_kf5_sysconfdir}/xdg/ui/ui_standards.rc
%{_kf5_datadir}/qlogging-categories5/kxmlgui.*
%dir %{_kf5_datadir}/kxmlgui5/
%{_kf5_qtplugindir}/designer/*5widgets.so

%files devel
%{_kf5_includedir}/KXmlGui/
%{_kf5_libdir}/libKF5XmlGui.so
%{_kf5_libdir}/cmake/KF5XmlGui/
%{_kf5_archdatadir}/mkspecs/modules/qt_KXmlGui.pri


%changelog
* Mon Nov 20 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
